/*----------------------------------------------------------------------*\
 | This file is generated automatically while building xtme.			|
 | It should not be modified directly by the user.						|
\*----------------------------------------------------------------------*/

#include <stdio.h>	/* for definition of NULL */

char *about_text[] = {"Xtme: An editor for formal metadata\n",
"  by Peter N. Schweitzer (U.S. Geological Survey, Reston, VA 22092)\n",
"  version 2.7.18\n",
"\n",
"  Spanish-language element names kindly provided by\n  Clearinghouse Nacional de Datos Geogrficos, Uruguay\n  <http://www.clearinghouse.gub.uy/>\n",
"  Indonesian-language element names kindly provided by\n  the Indonesian National Coordination Agency for Surveys\n  and Mapping BAKOSURTANAL\n",
"  French-language element names kindly provided by Environment\n  Canada (John Cree)\n",
"  Catalan-language element names kindly provided by \n  Clearinghouse Nacional de Datos Geogrficos, Uruguay\n  <http://www.clearinghouse.gub.uy/>\n",
"  German-language element names kindly provided by Peter Korduan\n  (University of Rostock)\n",
"  Portuguese-language element names kindly provided by Luis Cavalcanti Bahiana\n  (IBGE, Brazil)\n",
"\n",
"Compilation information:\n",
"  Date: Wed Oct 15 09:36:22 2008\n",
"  System: Linux polynices 2.6.25.4 #5 Mon Jun 2 10:47:39 EDT 2008 i686\n",
"\n",
"Hints for using Xtme or Tkme\n",
"\n",
"1.  Contact me if you have trouble!  Call (703) 648-6533 or\n",
"    FAX (703) 648-6252 or email pschweitzer@usgs.gov.\n",
"\n",
"2.  Did you get the following message on your xterm window?\n",
"\n",
"        Error: could not open help file xtme.hlp\n",
"\n",
"    You'll want to tell xtme where to find its help file.  You\n",
"    can do this on the command line, using the -h option, like\n",
"\n",
"        xtme -h /usr/local/lib/xtme.hlp\n",
"\n",
"    You could put that into an alias if you're using csh, tcsh,\n",
"    or ksh but not if you're using sh.  Or you can put the location\n",
"    of the help file into an X resource using your .Xdefaults file,\n",
"    as described below.  Put into your .Xdefaults file the line\n",
"\n",
"    xtme*helpFile: /usr/local/lib/xtme.hlp\n",
"\n",
"    Then create in /usr/local/lib a symbolic link to the real\n",
"    xtme.hlp file, doing something like\n",
"\n",
"        ln -s /wherever/tools/doc/xtme.hlp /usr/local/lib/xtme.hlp\n",
"\n",
"    replacing \"wherever\" with the appropriate path on your system.\n",
"\n",
"3.  If you don't like or can't use the colors, fonts, or keyboard\n",
"    translations that are built in as fall-back resources, load the\n",
"    app-defaults file.  To customize the look and feel, edit the\n",
"    file Xtme.ad to your liking, and load it into your server's\n",
"    resource database.  Normally this can be done by running xrdb:\n",
"\n",
"        xrdb -merge Xtme.ad\n",
"\n",
"    Another way to use the resources is to put them into your own\n",
"    .Xdefaults file.  You can also put a copy of Xtme.ad into the\n",
"    directory /usr/lib/X11/app-defaults (but name the copy Xtme).\n",
"\n",
"    The key resources you may want to change are the default\n",
"    configuration file, the default help file, and the keyboard\n",
"    focus policy.\n",
"\n",
"    The configuration file determines how blank lines are handled\n",
"    on input (that is, whether to ignore them or not) and indicates\n",
"    the file describing local extensions, element names that aren't\n",
"    part of the standard.  The default name of the configuration\n",
"    file is .mprc.  This means it will look in the current directory\n",
"    for the file.  If you want to use the same configuration file\n",
"    from any directory, set this resource to a file specification\n",
"    with an absolute path.  For example,\n",
"\n",
"    xtme*configFile: /usr/local/include/.mprc\n",
"\n",
"    The help file is basically a reepression of the standard.  But if\n",
"    you're using local extensions, you can append information about\n",
"    those extensions to the help file (following the format used for\n",
"    the standard elements).  By default help is found in xtme.hlp,\n",
"    so xtme will look in the current directory.  If you want to use\n",
"    one help file everywhere you are, give an absolute path, like\n",
"\n",
"    xtme*helpFile: /usr/local/lib/xtme.hlp\n",
"\n",
"    Keep in mind that you can always add translations to widgets\n",
"    that have actions.  This means, for example, that if you don't\n",
"    like the key bindings that come with the Athena text widget,\n",
"    you can change them.  To find out how to do that, you'll need\n",
"    to get a book that covers X resources in detail, such as volume\n",
"    3 of the O'Reilly & Associates' X Window System series.\n",
"\n",
"4.  Start with an existing metadata file that looks like it has\n",
"    many of the elements that you want.  Then make a copy of it\n",
"    and edit the copy using xtme.\n",
"\n",
"    I have provided a template that contains all of the standard\n",
"    elements.  The file is called \"template\" and comes with Xtme.\n",
"    Note that this template has too many elements in it.  If you start\n",
"    with it, you'll need to choose some to fill in and delete others.\n",
"    For example, it includes *all* of the map projections.  You only\n",
"    need one.\n",
"\n",
"5.  Where a whole section needs to be reworded, select the top element\n",
"    in the section, and choose Clear from the Edit menu.  This causes\n",
"    all of the textual values in that subtree to be erased.  The\n",
"    logical structure will still be in place, but the values will be\n",
"    gone, so you can easily put the new values in.  Choose Cut if\n",
"    you want to delete a whole subtree.  That removes the structure\n",
"    as well as the values.  Be careful--there is no \"undo\".\n",
"\n",
"6.  If you're unsure of what goes into the elements, choose Element\n",
"    from the Help menu, and don't dismiss the help window.  Move it\n",
"    off to the side and resize it for comfort.  This window shows\n",
"    the part of the standard that pertains to the selected element.\n",
"    As you move about from element to element in the structure, the\n",
"    help text changes accordingly.  This will help you see what elements\n",
"    you need and what elements are optional.\n",
"\n",
"    An action is available to dismiss the help menu.  By default this\n",
"    action is bound to the Escape key.\n",
"\n",
"7.  To view the metadata as it will be output, choose Output from the\n",
"    Help menu.  This does not get updated automatically; you need to\n",
"    click the Update button to display changes that you make.\n",
"\n",
"8.  When you're finished, run mp to check the metadata.  Xtme doesn't\n",
"    prevent you from (a) leaving out required elements or values, (b)\n",
"    putting in too many elements of a particular type, or (c) including\n",
"    more than one of a set of elements from which you're only supposed\n",
"    to choose one.\n",
"\n",
"9.  If you want to use local extensions, look carefully at the supplied\n",
"    files example.mprc and ext/parts.ext.  The first is the configuration\n",
"    file, which shows xtme (and also mp and cns) where to get extensions.\n",
"    The extensions feature is not experimental, but few people are\n",
"    actually doing it at the moment, so I encourage you to contact\n",
"    me for assistance in creating the extensions file.\n",
"\n",
"10. Contact me if you have trouble!  Call (703) 648-6533 or\n",
"    FAX (703) 648-6252 or email pschweitzer@usgs.gov.\n",
"\n",
"Peter\n",
"--\n",
"Peter N. Schweitzer\n",
"  Mail Stop 954, National Center\n",
"  U.S. Geological Survey\n",
"  Reston, VA 20192\n",
"\n",
"  Tel: (703) 648-6533\n",
"  FAX: (703) 647-6252\n",
"  email: pschweitzer@usgs.gov\n",
NULL};

/*----------------------------------------------------------------------*\
\*----------------------------------------------------------------------*/
