set left_edge -180
for {set zone 1} {$zone <= 60} {incr zone} {
	set central_meridian [expr $left_edge + 3]
	if {$central_meridian < 0} {set hemisphere "western"} else {set hemisphere "eastern"}
	set name [format "../snippets/coordinate_systems/utm/%s/UTM_Zone_%02d" $hemisphere $zone]
	set out [open $name "w"]
		puts $out "Universal_Transverse_Mercator:"
		puts $out "  UTM_Zone_Number: $zone"
		puts $out "  Transverse_Mercator:"
		puts $out "    Scale_Factor_at_Central_Meridian: 0.9996"
		puts $out "    Longitude_of_Central_Meridian: $central_meridian"
		puts $out "    Latitude_of_Projection_Origin: 0.0"
		puts $out "    False_Easting: 500000"
		puts $out "    False_Northing: 0.0"
	close $out
	incr left_edge 6
	}
