/*----------------------------------------------------------------------*\
 | Definitions for binary file input and output.						|
 |																		|
 | Peter N. Schweitzer (U.S. Geological Survey, Reston, VA 20192)		|
\*----------------------------------------------------------------------*/

struct binary_metadata_record {
	struct item *root;
	char *data;			/* so the memory can be freed */
	};

struct extension_id {
	int key;
	char name [64];
	};

extern struct binary_metadata_record *read_binary (char *name);
extern int write_binary (char *name, struct item *p);

/*----------------------------------------------------------------------*\
\*----------------------------------------------------------------------*/
