/*----------------------------------------------------------------------*\
 | Declarations for handling local extensions to the standard.			|
 |																		|
 | Peter N. Schweitzer (U.S. Geological Survey, Reston, VA 20192)		|
\*----------------------------------------------------------------------*/

extern int Unrecognized_Extension;

#define MAX_COMPOUND_COUNT	1024
#define MAX_COMPONENT_COUNT	31

extern int is_extension (int key);
extern int extension_of (const char *text);
extern int extension_of_sgml (const char *text);
extern char *text_of_extension (int key);
extern char *sgml_of_extension (int key);
extern int z3950_of_extension (int key);
extern int parent_child (int parent, int child);
extern int extension_is_compound (int key);
extern void read_local (char *local_file);
struct extension_info *get_extension_info (int i);
extern char *ext_errors (void);

/*----------------------------------------------------------------------*\
\*----------------------------------------------------------------------*/
